@font-face{
    font-family:"LXGWWenKai";
    src:url("fonts/LXGWWenKai-Regular.ttf")format("truetype");
    font-weight:normal;
    font-style:normal;
    font-display:swap;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background: #141313;
    color: white;
    font-family: "LXGWWenKai", sans-serif;
}

.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: rgb(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    z-index: 100;
}

.hero{
    height: 100vh;
    background:url("https://imgheybox1.max-c.com/web/bbs/2026/08/31/6123c4bce0aac40863eae3837f3f48cd.jpeg");
    background-size: cover;
    background-position: 65% center;
    position: sticky;
    top:0;
    display: flex;
    justify-content: left;
    align-items: center;
    z-index: 0;
}

.hero-content {
    width: 500px;
    text-align: center;
    position: absolute;
    top: calc(65vh - 200px);
    margin-left: 5%;
}

.hero img{
    width: 80%;
    height: auto;
    filter:
        drop-shadow(0 0 3px #1e563b);
}

.hero p{
    margin-top: 30px;
    opacity: 0.8;
    text-shadow: 0 0 10px rgb(0, 0, 0, 0.5);
}

@media (max-width: 768px) {
    .hero-content {
        width: 500px;
        text-align: center;
        position: relative;
    }

    .hero img {
        position: relative;
        bottom: 26vh;
        width: 75%;
        height: auto;
    }

    .hero p {
        position: relative;
        bottom: 26vh;
        text-shadow: 0 0 10px rgb(0, 0, 0, 0.5);
    }
}


.content{
    position: relative;
    min-height: 150vh;
    padding: 100px 10%;
    background: rgb(255, 255, 255, 0.5);
    z-index: 1;
}

.content::before{
    content: "";
    position: absolute;
    top: -100px;
    left: 0;
    right: 0;
    height: 100px;
    background: linear-gradient(
        to bottom,
        transparent 0%,
        rgb(255, 255, 255, 0.15) 30%,
        rgb(255, 255, 255, 0.3) 50%,
        rgb(255, 255, 255, 0.5) 70%,
        rgb(255, 255, 255, 0.5) 100%
    );
    z-index: -1;
    pointer-events: none;
}

.content h2{
    font-size:42px;
    margin-bottom: 40px;
}

.content p{
    max-width: 1000px;
    font-size: 18px;
    line-height: 2;
    margin-bottom: 30px;
}

@media (max-width: 768px) {
    .content{
        padding: 10px;
    }

    .content p{
        font-size: 16px;
    }
}

.read{
    max-width: 1000px;
    margin: 0 auto;
    padding: 40px;
    background: rgb(255, 255, 255);
    color:#242020;
    border-radius: 16px;
    border: 1px solid rgb(0, 0, 0, 0.15);
    box-shadow: 0 8px 30px rgb(0, 0, 0, 0.15);
}

.read h1{
    font-size: 32px;
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid rgb(0, 0, 0, 0.15);
}

.read h3{
    font-size: 24px;
    margin-bottom: 20px;
    text-align: center;
}

.read img{
    width:100%;
    max-width: 1000px;
    height: auto;
}

@media (max-widt:"768px") {
    .read {
        padding: 10px;
    }

    .read h1{
        font-size: 28px;
    }

    .read h3{
        font-size: 21px;
    }
}

.image-row{
    display:flex;
    gap:20px;
}

.image-box{
    flex:1;
    overflow:hidden;
    border-radius: 12px;
}

.image-box img{
    width:100%;
    height:auto;
    display:block;
}

@media (max-width:768px) {
    .image-row{
        flex-direction: column;
    }
}

.gallery{
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    position: relative;
    border-radius: 16px;
}

.gallery-item{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 0.8s ease;
}

.gallery-item.start{
    opacity: 1;
}

.gallery-item img{
    width: 100%;
    height: auto;
    display: block;
}

@media (max-width:768px) {
    .gallery{
        border-radius: 8px;
    }
}

.tips{
    font-size: 5px;
    text-align: center;
}

.find-us{
    padding: 80px 10px;
    text-align: center;
}

.find-us h4{
    font-size: 25px;
    margin-bottom: 40px;
}

.social-links{
    display: flex;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}

.social-item{
    width:100px;
    height:100px;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    gap:10px;
    text-decoration:none;
    border-radius: 16px;
    transition:
    transform 0.3s ease;
}

.social-item img{
    width: 32px;
    height: 32px;
}

.social-item:hover{
    transform: translateY(-5px);
}

@media (max-width:768px) {
    .social-links{
        justify-content: space-between;
    }
    
    .social-item{
        width: 25px;
        height: 25px;
    }
}

#backtop {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    right: 30px;
    bottom: 30px;
    width: 50px;
    height: 50px;
    border-radius: 14px;
    background: rgba(255, 255, 255, 0.8);
    color: black;
    cursor: pointer;
    box-shadow: 3px 3px rgb(0, 0, 0, 0.15);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s;
    z-index: 2;
}

#backtop.show {
    opacity: 1;
    visibility: visible;
}